Bug 11821 - uid_wrapper-1.2.1 fails to compile on alpha
uid_wrapper-1.2.1 fails to compile on alpha
Status: RESOLVED FIXED
Product: cwrap
Classification: Unclassified
Component: library
unspecified
Alpha Linux
: P5 normal
: ---
Assigned To: Andreas Schneider
https://bugs.gentoo.org/show_bug.cgi?...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-03 13:09 UTC by Agostino Sarubbo
Modified: 2016-06-06 05:37 UTC (History)
1 user (show)

See Also:


Attachments
[PATCH 1/3] uwrap: Attempt to dlopen libc.so.*.1 as a fallback. (1.13 KB, patch)
2016-04-05 20:46 UTC, Matt Turner
no flags Details
[PATCH 2/3] uwrap: Use alpha-specific syscalls. (995 bytes, patch)
2016-04-05 20:46 UTC, Matt Turner
no flags Details
[PATCH 3/3] tests: Use alpha-specific syscalls. (1.68 KB, patch)
2016-04-05 20:46 UTC, Matt Turner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo 2016-04-03 13:09:04 UTC
I'd like to forward here the downstream report at $URL.

Since I'm the reporter, I'm available to test patches.
Comment 1 Andreas Schneider 2016-04-04 10:20:24 UTC
It doesn't support the syscalls SYS_getuid and SYS_getgid, really?
Comment 2 Matt Turner 2016-04-05 20:46:09 UTC
Created attachment 11966 [details]
[PATCH 1/3] uwrap: Attempt to dlopen libc.so.*.1 as a fallback.
Comment 3 Matt Turner 2016-04-05 20:46:33 UTC
Created attachment 11967 [details]
[PATCH 2/3] uwrap: Use alpha-specific syscalls.
Comment 4 Matt Turner 2016-04-05 20:46:55 UTC
Created attachment 11968 [details]
[PATCH 3/3] tests: Use alpha-specific syscalls.
Comment 5 Matt Turner 2016-04-05 20:50:16 UTC
(In reply to Andreas Schneider from comment #1)

Right, I think it dates back to Digital UNIX/Tru64 compatibility. Instead it has getxpid, getxuid, getxgid.

Attached are three patches that allow uid_wrapper's test suite to pass on alpha. The first patch should also fix a problem on IA64.

I wasn't sure if patches were supposed to be sent to a mailing list. If they are, I'm happy to do so.
Comment 6 Andreas Schneider 2016-04-06 07:10:05 UTC
I can look at them after April 12th. Ping me if I forget. We can add that but there is no guarantee that we break it if we don't have nightly builds for it.

https://mock.cryptomilk.org/
Comment 7 Agostino Sarubbo 2016-04-13 07:23:25 UTC
(In reply to Andreas Schneider from comment #6)

Any news about?
Comment 8 Matt Turner 2016-04-21 05:27:37 UTC
(In reply to Andreas Schneider from comment #6)

Ping :)
Comment 9 Matt Turner 2016-05-06 05:57:46 UTC
(In reply to Matt Turner from comment #8)

Ping^2 :)
Comment 10 Andreas Schneider 2016-06-02 14:22:55 UTC
Pushed upstream with minor modifications. Thanks for your contributions!
Comment 11 Matt Turner 2016-06-06 05:37:16 UTC
(In reply to Andreas Schneider from comment #10)

Thank you!

But I don't see that the patches are in upstream git [1]. Have I misunderstood?

Also, if it isn't too much trouble a new release with these patches incorporated would make our distribution work simpler.

Thanks again!

[1] https://git.samba.org/?p=uid_wrapper.git